using HealthcareManagerUI.Models;

namespace HealthcareManagerUI.Services.Authentication;

public interface IAuthenticationService
{
    Task<BaseResponse> LoginDoctor(UserLoginModel userLoginModel);

    Task<BaseResponse> LoginPatient(UserLoginModel userLoginModel);

    Task<BaseResponse> RegisterDoctor(UserRegisterModel userRegistrationModel);

    Task<BaseResponse> RegisterPatient(UserRegisterModel userRegistrationModel);

    Task<BaseResponse> ResetDoctorPassword(UserRegisterModel userResetPasswordModel);

    Task<BaseResponse> ResetPatientPassword(UserRegisterModel userResetPasswordModel);
}